Commit 236797e6 authored by Ivica Bukvic's avatar Ivica Bukvic
Browse files

improved installer to avoid install of Gem libraries when doing incremental...

improved installer to avoid install of Gem libraries when doing incremental install (should significantly shorten incremental installs)
parent d3661a22
......@@ -145,8 +145,12 @@ else
LIB_TARGETS += hid
endif
else
# GNU/Linux, BSD, IRIX, etc.
LIB_TARGETS += gem hid pdp gem2pdp iem16
# GNU/Linux, BSD, IRIX, etc. (we use exported variable INCREMENTAL to avoid rebuilding entire Gem lib that takes a long time to compile)
ifeq ($(INCREMENTAL),yes)
LIB_TARGETS += hid pdp gem2pdp iem16
else
LIB_TARGETS += gem hid pdp gem2pdp iem16
endif
endif
endif
......
......@@ -202,6 +202,7 @@ then
rm Gem.pd_linux
aclocal
./autogen.sh
export INCREMENTAL=""
#elif [ $full -eq 3 ]
#then
# echo "Since pd-l2ork relies on a unique version of cwiid library, we will need to install it to make disis_wiimote external work properly. YOU SHOULD REMOVE EXISTING CWIID LIBRARIES PRIOR TO RUNNING THIS INSTALL... No worries though, L2Ork version is fully backwards compatible while also offering unique features like full extension support including the passthrough mode. To install cwiid library go to <pd-l2ork-root-git-folder>/l2ork-addons/cwiid/ folder and install it using the usual:"
......@@ -227,6 +228,7 @@ then
# ./autogen.sh
else
cd Gem/
export INCREMENTAL="yes"
fi
cd ../packages/linux_make
if [ $full -gt 1 -o $deb -eq 2 ]
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment